export default ServicesAPI;
declare namespace ServicesAPI {
    export { getServicesList as getList };
    export { getService as get };
    export { addService as add };
    export { updateService as update };
    export { patchService as patch };
    export { deleteService as delete };
    export { getServicesLookup as getLookup };
}
declare function getServicesList({ rootId, ...rest }: {
    [x: string]: any;
    rootId: any;
}): Promise<{
    items: any;
    next: any;
}>;
declare function getService({ itemId: id }: {
    itemId: any;
}): Promise<any>;
declare function addService({ itemInstance, rootId, catalogId }: {
    itemInstance: any;
    rootId: any;
    catalogId: any;
}): Promise<any>;
declare function updateService({ itemInstance, itemId: id, rootId, catalogId, }: {
    itemInstance: any;
    itemId: any;
    rootId: any;
    catalogId: any;
}): Promise<any>;
declare function patchService({ changes, id }: {
    changes: any;
    id: any;
}): Promise<any>;
declare function deleteService({ id }: {
    id: any;
}): Promise<any>;
declare function getServicesLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
